org.apache.ignite.spi.systemview.view

## Class ComputeTaskView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ComputeTaskView

    public class ComputeTaskView
    extends Object

Compute task representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`ComputeTaskView(GridTaskWorker worker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `affinityCacheName()`
`int` `affinityPartitionId()`
`long` `endTime()`
`String` `execName()`
`boolean` `internal()`
`IgniteUuid` `jobId()`
`long` `startTime()`
`String` `taskClassName()`
`String` `taskName()`
`UUID` `taskNodeId()`
`String` `userVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeTaskView

    public ComputeTaskView(GridTaskWorker worker)

Parameters:
  `worker` - Worker for task.

### Method Detail

#### internal

    public boolean internal()

Returns:
  `True` if task is internal.

#### taskName

    public String taskName()

Returns:
  Task name.

#### taskClassName

    public String taskClassName()

Returns:
  Task class name.

#### startTime

    public long startTime()

Returns:
  Start time.

#### endTime

    public long endTime()

Returns:
  End time.

#### taskNodeId

    public UUID taskNodeId()

Returns:
  Task node id.

#### execName

    public String execName()

Returns:
  Executor name.

#### affinityCacheName

    public String affinityCacheName()

Returns:
  Affinity cache name.

#### affinityPartitionId

    public int affinityPartitionId()

Returns:
  Affinity partition id.

#### jobId

    public IgniteUuid jobId()

Returns:
  Job id.

#### userVersion

    public String userVersion()

Returns:
  User provided version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020